Page MenuHomePhabricator

Provide course type options when creating a new course
Closed, ResolvedPublic

Description

Now that course types exist, make them accessible by providing a menu during the first step of creating a new course.

We probably want this workflow detail to disappear when only one course type is enabled.

Event Timeline

awight created this task.Feb 4 2016, 9:21 AM
awight raised the priority of this task from to Needs Triage.
awight updated the task description. (Show Details)
awight added subscribers: Ragesoss, Aklapper, Base and 2 others.
Abit awarded a token.Feb 4 2016, 1:25 PM
Abit set Security to None.
awight triaged this task as Low priority.Feb 17 2016, 6:12 AM

Lowering the priority, this is not needed for the MVP. We won't support wikiedu-style classes on the Wikimedia Foundation server, so mixing the two main course types is not necessary.

The current status is that admins can change the course type after a course has been created.

The next step from here would probably be to design a flow around the actual use cases of the P&E dashboard, with the first step being to choose the program type.

DStrine removed a subscriber: awight.Oct 31 2016, 2:16 PM
Ragesoss closed this task as Resolved.Apr 23 2019, 10:22 PM
Ragesoss claimed this task.

Took a while to get to it, but this shipped a few months ago.